> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reply To Thread

> Reply to an existing email thread.



## OpenAPI

````yaml post /email/threads/{thread_id}/reply
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /email/threads/{thread_id}/reply:
    post:
      tags:
        - provider
        - email
      summary: Reply To Thread
      description: Reply to an existing email thread.
      operationId: reply_to_thread_email_threads__thread_id__reply_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: thread_id
          in: path
          required: true
          schema:
            type: string
            title: Thread Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReplyEmailRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendEmailResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ReplyEmailRequest:
      properties:
        bodyHtml:
          anyOf:
            - type: string
            - type: 'null'
          title: Bodyhtml
        bodyText:
          anyOf:
            - type: string
            - type: 'null'
          title: Bodytext
        toOverride:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tooverride
          description: Override recipients
      type: object
      title: ReplyEmailRequest
      description: Request to reply to an email thread.
    SendEmailResponse:
      properties:
        success:
          type: boolean
          title: Success
        messageId:
          anyOf:
            - type: string
            - type: 'null'
          title: Messageid
        threadId:
          anyOf:
            - type: string
            - type: 'null'
          title: Threadid
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      type: object
      required:
        - success
      title: SendEmailResponse
      description: Response after sending an email.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````